Bug 188300 - Mercurial waits for network access while holding editor locks (runAtomic)
Mercurial waits for network access while holding editor locks (runAtomic)
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
PC Linux
: P2 (vote)
: 7.0
Assigned To: Tomas Stupka
issues@versioncontrol
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 06:44 UTC by Tomas Mysik
Modified: 2010-07-13 03:33 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (17.22 KB, text/plain)
2010-07-02 06:44 UTC, Tomas Mysik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Mysik 2010-07-02 06:44:01 UTC
Created attachment 100557 [details]
thread dump

Not sure whether it's reproducible or even related but what I did:
- display hg annotation for the opened file
- scroll down using mouse wheel

Product Version: NetBeans IDE Dev (Build 100701-22623af73d80)
Java: 1.6.0_20; Java HotSpot(TM) 64-Bit Server VM 16.3-b01
System: Linux version 2.6.32-23-generic running on amd64; UTF-8; cs_CZ (nb)
Comment 1 David Strupl 2010-07-08 14:34:06 UTC
If my evaluation of the thread dump is not correct please fix and re-assign appropriately. Thanks.
Comment 2 Tomas Stupka 2010-07-09 09:36:52 UTC
http://hg.netbeans.org/cdev/rev/f3393ffe2954
fixed
Comment 3 Quality Engineering 2010-07-13 03:33:23 UTC
Integrated into 'main-golden', will be available in build *201007130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f3393ffe2954
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #188300 - Mercurial waits for network access while holding editor locks (runAtomic)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo